Subject: [PATCH] MAINTAINERS: Start using the 'reviewer' (R) tag

From: [email-masked] (Joe Perches)
Date: Wed, 28 Oct 2015 04:06:39 -0700

On Wed, 2015-10-28 at 11:53 +0100, Javier Martinez Canillas wrote:
> (Lee) think(s) that the difference between a maintainer and
> a reviewer is if a branch with fixes / new features are kept and pull
> requests sent while I think that the difference is the level of
> involvement someone has with a driver regardless of how patches ends
> in the subsystem tree (picked directly by subsystem maintainers or
> sent through pull requests).
> 
> Is the first time I heard your definition but maybe I'm the one that
> is wrong so it would be great to get a consensus on that and get it
> documented somewhere.

I think Lee is over-analyzing.

>>From MAINTAINERS:
	M: Mail patches to: FullName <address@domain>
	R: Designated reviewer: FullName <address@domain>
	   These reviewers should be CCed on patches.
	S: Status, one of the following:
	   Supported:	Someone is actually paid to look after this.
	   Maintained:	Someone actually looks after it.

"looking after" doesn't mean upstreaming.

The original threads for this were:

http://lists.linuxfoundation.org/pipermail/ksummit-discuss/2014-May/000830.html
https://lkml.org/lkml/2014/6/2/446